### Function

# GioUnix mount_for

since: 2.52

#### Declaration

    GUnixMountEntry*
    g_unix_mount_for (
      const char* file_path,
      guint64* time_read
    )

#### Description

Gets a `GUnixMountEntry` for a given file path. If `time_read` is set, it will be filled with a unix timestamp for checking if the mounts have changed since with g_unix_mounts_changed_since().

If more mounts have the same mount path, the last matching mount is returned.

This will return `NULL` if looking up the mount entry fails, if `file_path` doesn’t exist or there is an I/O error.

Available since: 2.52

#### Parameters

`file_path`

  Type: `const char*`

  File path on some unix mount.

  The data is owned by the caller of the function.
  The value is a platform-native string, using the preferred OS encoding on Unix and UTF-8 on Windows.

`time_read`

  Type: `guint64*`

  Guint64 to contain a timestamp.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `GUnixMountEntry`

A `GUnixMountEntry`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.